HyperTrackDocs
Orders

Get Order by Route Handle

Get the orders by the `route_handle`

GET
/orders/routes/{route_handle}

Get the orders by the route_handle

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

route_handle*string

Query Parameters

include_summary?|

Whether to include polyline, distance, duration, start_location, completed_location and tracking rate

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orders/routes/string"
{  "route_handle": "7ac07153-4490-46c5-9ada-a6ca84f5b48f",  "status": "completed",  "version": 1,  "embed_url": "https://embed.hypertrack.com/trips/7ac07153-4490-46c5-9ada-a6ca84f5b48f?publishable_key=a5pvdQP3sFvLSuZrwssgJS_SqcfirX1n9qRBIn9nl3PTK-5y3BO56rolpGuzhp1pIoH4TiDyqWIq8IEkOJF5eg",  "orders": [    {      "order_handle": "order-1",      "fulfillment_attempt": 0,      "status": "completed",      "destination": {        "geometry": {          "type": "Point",          "coordinates": [            17.803927,            34.832173          ]        },        "address": "1709 Automation Pkwy, San Jose, CA 95101",        "radius": 100      },      "track_mode": "on_time",      "scheduled_at": "2023-11-02T02:00:00.000Z",      "started_at": "2023-11-01T22:47:56.027Z",      "type": "pick",      "type_index": 0,      "expected_service_time": 0,      "actual_service_time": 0,      "tracked_service_time": 0,      "capacity_used": 1,      "share_url": "https://trck.at/PvR8MmWEpf",      "completed_at": "2023-11-01T22:54:42.449Z",      "device_id": "FB9D216D-4DF9-411A-AA61-AC66909555D7",      "worker_handle": "james@ht.com",      "created_at": "2023-11-01T22:47:53.512Z",      "assigned_at": "2023-11-01T22:47:53.857Z",      "route_handle": "7ac07153-5590-46c5-9ada-a6ca84f5b48f",      "planned_at": "2023-11-01T22:47:53.512Z",      "distance": 1800,      "duration": 3000,      "tracking_rate": 98.2    },    {      "order_handle": "order-2",      "fulfillment_attempt": 0,      "status": "completed",      "destination": {        "geometry": {          "type": "Point",          "coordinates": [            17.803927,            34.832173          ]        },        "address": "748 Story Rd, San Jose, CA 95112",        "radius": 100      },      "track_mode": "on_time",      "scheduled_at": "2023-11-02T02:00:00.000Z",      "started_at": "2023-11-01T22:47:56.092Z",      "type": "drop",      "type_index": 0,      "expected_service_time": 0,      "actual_service_time": 0,      "tracked_service_time": 0,      "capacity_used": 1,      "share_url": "https://trck.at/NqV7Xm14pZ",      "completed_at": "2023-11-01T22:54:50.217Z",      "device_id": "FB9D216D-4DF9-411A-AA61-AC66909555D7",      "worker_handle": "james@ht.com",      "created_at": "2023-11-01T22:47:53.512Z",      "assigned_at": "2023-11-01T22:47:53.914Z",      "route_handle": "7ac07153-5590-46c5-9ada-a6ca84f5b48f",      "planned_at": "2023-11-01T22:47:53.512Z",      "distance": 0,      "duration": 0,      "tracking_rate": 77.5    }  ],  "started_at": "2023-11-01T22:47:54.867Z",  "assigned_at": "2023-11-01T22:47:53.968Z",  "created_at": "2023-11-01T22:47:53.659Z",  "device_id": "FB9D216D-4DF9-411A-AA61-AC66909555D7",  "worker_handle": "james@ht.com",  "completed_at": "2023-11-01T22:54:50.217Z",  "planned_at": "2023-11-01T22:47:53.658Z",  "duration": 16,  "distance": 0,  "tracking_rate": 0,  "polyline": {    "type": "LineString",    "coordinates": [      [        -121.87727,        37.371945,        25.87,        "2023-11-01T22:54:34.104Z"      ]    ]  },  "start_location": {    "type": "Point",    "coordinates": [      -121.87727,      37.371945    ]  },  "end_location": {    "type": "Point",    "coordinates": [      -121.87727,      37.371945    ]  }}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}